# Tomcat
server:
  tomcat:
    uri-encoding: UTF-8
    threads:
      max: 1000
      min-spare: 30
  port: 8080
  servlet:
    context-path: /crm-jr-admin
    session:
      cookie:
        http-only: true

spring:
  # 环境 dev|test|prod
  profiles:
    active: dev
  messages:
    encoding: UTF-8
    basename: i18n/messages
  mvc:
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
      enabled: true
  redis:
    database: 0
    host: 47.102.129.117
    port: 6379
    password: zheyin   # 密码（默认为空）
    timeout: 6000ms  # 连接超时时长（毫秒）
    jedis:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms      # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接

# 是否开启redis缓存  true开启   false关闭
renren:
  redis:
    open: false

#mybatis
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: io.renren.modules.*.entity
  global-config:
    #数据库相关配置
    db-config:
      #主键类型
      id-type: ASSIGN_ID
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'
  configuration-properties:
    prefix:
    blobType: BLOB
    boolValue: TRUE

advert_platform:
  oceanengine:
    domain_url: https://ad.oceanengine.com
    app_id: 1729789818522739
    secret: ff624b6efeb081e77d6f90b46230733b41bf3e60
    back_url_domain: http://vue.testzytree.com.cn
    oauth:
      domain_url: https://ad.oceanengine.com
#      back_url_path: /zy-api/marketapi
      back_url_path: /#/sys-advertoauth
      auth_code_path: /openapi/audit/oauth.html
      get_token_path: /open_api/oauth2/access_token/
      refresh_token_path: /open_api/oauth2/refresh_token/
      get_advertiser_path: /open_api/oauth2/advertiser/get/
      auth_code_url: ${advert_platform.oceanengine.oauth.domain_url}${advert_platform.oceanengine.oauth.auth_code_path}?app_id=${advert_platform.oceanengine.app_id}&redirect_uri=${advert_platform.oceanengine.back_url_domain}${advert_platform.oceanengine.oauth.back_url_path}
      get_token_url: ${advert_platform.oceanengine.domain_url}${advert_platform.oceanengine.oauth.get_token_path}
      refresh_token_url: ${advert_platform.oceanengine.domain_url}${advert_platform.oceanengine.oauth.refresh_token_path}
    account:
      get_advertiser_info: /open_api/2/advertiser/info/
      get_advertiser_by_agent_path: /open_api/2/agent/advertiser/select/
      get_advertiser_by_child_agent_path: /open_api/2/agent/child_agent/select/
      get_advertiser_by_majordomo_path: /open_api/2/majordomo/advertiser/select/
      get_advertiser_fund_path: /open_api/2/advertiser/fund/get/
      get_advertiser_fund_daily_stat_path: /open_api/2/advertiser/fund/daily_stat/
      get_advertiser_fund_transaction_path: /open_api/2/advertiser/fund/transaction/get/
      get_advertiser_report_audience_city_path: /open_api/2/report/audience/city/
  
  #加密秘钥
encrypt:
  token: D9C7CACE45114C42A055EA2620BEFD8F #UUID.randomUUID().toString().replaceAll("-", "").toUpperCase();
